package com.example.cezenPBX.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;

@Table(name = "ps_auths")
@Entity
public class PsAuths implements PBXentiry{

    @Id
    @Column(name = "id")
    private String extension;

    @Column(name = "auth_type")
    private String authType;

    @Column(name = "username")
    private String userName;

    @Column(name = "password")
    private String password;

    @Column(name = "md5_cred")
    private String md5Cred;

    @Column(name = "realm")
    private String realm;


    public PsAuths(String extension, String authType, String userName, String password, String md5Cred, String realm) {
        this.extension = extension;
        this.authType = authType;
        this.userName = userName;
        this.password = password;
        this.md5Cred = md5Cred;
        this.realm = realm;
    }

    public PsAuths() {
    }

    public String getExtension() {
        return extension;
    }

    public void setExtension(String extension) {
        this.extension = extension;
    }

    public String getAuthType() {
        return authType;
    }

    public void setAuthType(String authType) {
        this.authType = authType;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getMd5Cred() {
        return md5Cred;
    }

    public void setMd5Cred(String md5Cred) {
        this.md5Cred = md5Cred;
    }

    public String getRealm() {
        return realm;
    }

    public void setRealm(String realm) {
        this.realm = realm;
    }
}
